VULKAN_HPP_NAMESPACE::DisplayProperties2KHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DisplayProperties2KHR:
[legend]

## Public Member Functions

| operator VkDisplayProperties2KHR const & () const
| operator VkDisplayProperties2KHR & ()
bool | operator== (DisplayProperties2KHR const &rhs) const
bool | operator!= (DisplayProperties2KHR const &rhs) const

## Data Fields

void * | pNext = nullptr
DisplayPropertiesKHR | displayProperties

## Private Attributes

StructureType | sType = StructureType::eDisplayProperties2KHR

## Detailed Description

Definition at line 29589 of file vulkan.hpp.

## Member Function Documentation

## operator VkDisplayProperties2KHR &()

VULKAN_HPP_NAMESPACE::DisplayProperties2KHR::operator VkDisplayProperties2KHR & | ( |  | ) |

inline

Definition at line 29596 of file vulkan.hpp.

{
return *reinterpret_cast<VkDisplayProperties2KHR*>(this);
}

## operator VkDisplayProperties2KHR const &()

VULKAN_HPP_NAMESPACE::DisplayProperties2KHR::operator VkDisplayProperties2KHR const & | ( |  | ) | const

inline

Definition at line 29591 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDisplayProperties2KHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DisplayProperties2KHR::operator!= | ( | DisplayProperties2KHR const & | rhs | ) | const

inline

Definition at line 29608 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::DisplayProperties2KHR::operator== | ( | DisplayProperties2KHR const & | rhs | ) | const

inline

Definition at line 29601 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( displayProperties == rhs.displayProperties );
}

References displayProperties, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## displayProperties

DisplayPropertiesKHR VULKAN_HPP_NAMESPACE::DisplayProperties2KHR::displayProperties

Definition at line 29618 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::DisplayProperties2KHR::pNext = nullptr

Definition at line 29617 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::DisplayProperties2KHR::sType = StructureType::eDisplayProperties2KHR

private

Definition at line 29614 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DisplayProperties2KHR::displayProperties
DisplayPropertiesKHR displayProperties
Definition: vulkan.hpp:29618
VULKAN_HPP_NAMESPACE::DisplayProperties2KHR::operator==
bool operator==(DisplayProperties2KHR const &rhs) const
Definition: vulkan.hpp:29601
VULKAN_HPP_NAMESPACE::DisplayProperties2KHR::sType
StructureType sType
Definition: vulkan.hpp:29614
VkDisplayProperties2KHR
Definition: vulkan_core.h:5820
VULKAN_HPP_NAMESPACE::DisplayProperties2KHR::pNext
void * pNext
Definition: vulkan.hpp:29617